-- US data
-- the data is so small that state info will add errors without any advantage

-- EU data
-- Step 1: Add the country column to the table
ALTER TABLE eu_ports_2013_geo
ADD COLUMN eu_country CHAR(2);
-- Step 2: Add the new column to the table index
ALTER TABLE eu_ports_2013_geo
ADD INDEX idx_eu_country (eu_country);
-- Step 3: Update the country column based on the cntr_code column
UPDATE eu_ports_2013_geo
SET eu_country = LEFT(port_id, 2);

